%define rtname rt
%define rtminver 3.4.2
%define rtupname RT
%define atname at
%define atupname AssetTracker
%define rtfullname request-tracker
%define fullname request-tracker-extension-at
%define wwwroot %_var/www/html
%define webusr apache
%define webgrp apache
%define dba    root
%define svn svn358

Summary: Asset Tracker (AT) is an extension to Request Tracker (RT). It is designed to keep track of assets such as: servers, switches, desktops, or anything else.
Name: %fullname
Version: 1.2.3
Release: alt3.%svn
Serial: 1
Group: Networking/WWW
License: GPL
Url: http://atwiki.chaka.net/
Source:http://atwiki.chaka.net/%atname-%version.tar.gz
BuildArch: noarch

Source1: %atname-initialdata-ru
Source2: %atname-ru.po

BuildRequires: autoconf perl
AutoReq: no

# RT
Requires: %rtfullname >= 3.4.2

# Perl modules
#Requires: perl(Text/WikiFormat.pm)
#Requires: perl(HTML/TreeBuilder.pm)
#Requires: perl(HTML/FormatText.pm)

%description
Asset Tracker (AT) is an extension to Request Tracker (RT), from Best
Practical. It is designed to keep track of assets such as: servers, switches,
desktops, or anything else. If you understand RT, AT should feel very natural.
AT uses RT's custom fields system and has a similar query interface.

%package ru
Summary: Full russian support for %name
Group: Networking/WWW
Requires: %name = %version

%description ru
Full russian support for %name

%prep
%setup -q -n %atname-%version

%build
%configure \
		--with-rt-home=%_libdir/%rtname \
		--with-rt-lib=%_libdir/%rtname/lib \
		--with-rt-local=%_libdir/%rtname/local \
		--with-rt-local-html=%_wwwroot/%rtname/local 

# FIXME. macroses ignored :)
subst "s/\/usr\/lib\/rt\/local\/etc\/AssetTracker/\/etc\/rt\/at/g" lib/RTx/AssetTracker.pm

%install

find %buildroot/ -name .svn -type d -print0 | xargs -r0 rm -rf --
find . -name .svn -type d -print0 | xargs -r0 rm -rf --
find %buildroot/ -iname \*\.in -type f -print0 | xargs -r0 rm -f --
find . -iname \*\.in -type f -print0 | xargs -r0 rm -f --

%__mkdir_p %buildroot%_sysconfdir/%rtname/%atname
%__mkdir_p %buildroot%wwwroot/%rtname/

%__mkdir_p %buildroot%_libdir/%rtname/{sbin,lib}
#%__mkdir_p %buildroot%_libdir/%rtname/%rtupname/I18N
#%__cp -r bin/* %buildroot%_libdir/%rtname/bin/
%__cp -r sbin/* %buildroot%_libdir/%rtname/sbin/
%__cp -r lib/* %buildroot%_libdir/%rtname/lib/
#%__cp -r po/* %buildroot%_libdir/%rtname/%rtupname/I18N/
%__cp -r html/* %buildroot%wwwroot/%rtname/
%__cp -r etc/%atupname/* %buildroot%_sysconfdir/%rtname/%atname/

%__mkdir_p %buildroot%_libdir/%rtname/local/etc/%atupname
%__mkdir_p %buildroot%_libdir/%rtname/local/po/%atupname


# new russian files
%__cp %SOURCE1 %buildroot%_libdir/%rtname/local/etc/%atupname/initialdata
%__cp %SOURCE2 %buildroot%_libdir/%rtname/local/po/%atupname/ru.po

# fix permissions
find %buildroot%_libdir/%rtname/ -type d -print0 | xargs -r0 chmod 2755 --
find %buildroot%_libdir/%rtname/ -type f -print0 | xargs -r0 chmod 0644 --
find %buildroot%_libdir/%rtname/ -name '*.pm' -type f -print0 | xargs -r0 chmod 0755 --
#find %buildroot%_libdir/%rtname/bin/ -type f -print0 |xargs -r0 chmod 0755 --
find %buildroot%_libdir/%rtname/sbin/ -type f -print0 |xargs -r0 chmod 0755 --
find %buildroot%wwwroot/%rtname -type d -print0 |xargs -r0 chmod 2755 --
find %buildroot%wwwroot/%rtname -type f -print0 |xargs -r0 chmod 0644 --
find %buildroot%_libdir/%rtname/local -type d -print0 |xargs -r0 chmod 2755 --
find docs -type f -print0 |xargs -r0 chmod 0644 --

%post

echo "Congratulations. AT has been installed."
echo ""
echo "After that, you need to upgrade RT's database by running"
echo ""
echo "%_libdir/%rtname/sbin/at-setup-database --action schema \ "
echo "     --dba %dba --prompt-for-dba-password --datadir %_sysconfdir/%rtname/%atname"
echo ""
echo "%_libdir/%rtname/sbin/at-setup-database --action acl \ "
echo "     --dba %dba --prompt-for-dba-password --datadir %_sysconfdir/%rtname/%atname"
echo ""
echo "%_libdir/%rtname/sbin/at-setup-database --action insert \ "
echo "     --dba %dba --prompt-for-dba-password --datafile %_sysconfdir/%rtname/%atname/initialdata"
echo ""


%files
%doc ChangeLog README
%attr(-,root,%webgrp) %_libdir/%rtname/sbin/*
%attr(-,root,%webgrp) %_libdir/%rtname/lib/RTx/*
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/*.pm
%attr(-,root,%webgrp) %_libdir/%rtname/lib/%rtupname/URI/*
#%attr(-,root,%webgrp) %_libdir/%rtname/%rtupname/I18N/*
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/%atupname
%attr(-,%webusr,%webgrp) %wwwroot/%rtname/Callbacks/%atupname
%attr(0750,root,%webgrp) %dir /%_sysconfdir/%rtname/%atname
%attr(0640,root,%webgrp) %config(noreplace) /%_sysconfdir/%rtname/%atname/*

%files ru
%attr(-,root,%webgrp) %_libdir/%rtname/local/etc/%atupname/initialdata
%attr(-,root,%webgrp) %_libdir/%rtname/local/po/%atupname/ru.po

%changelog
* Tue Oct 03 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1:1.2.3-alt3.svn358
- Latest SVN updates
- Updated russina translation
- libexec changed to libdir

* Thu May 11 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1:1.2.3-alt3.svn310
- Added Serial tag

* Fri May 05 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1.2.3-alt2.svn309
- Latest SVN updates

* Wed Feb 08 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1.2.3rc1-alt1.svn260
- Latest SVN updates

* Sat Jan 21 2006 Andrew Kornilov <hiddenman@altlinux.ru> 1.2.2-alt3.svn253
- Latest SVN updates
- Removed lib/RTx (should be in a main rt package)

* Wed Sep 28 2005 Andrew Kornilov <hiddenman@altlinux.ru> 1.2.2-alt2.svn181
- Some spec cleanups

* Wed Sep 28 2005 Andrew Kornilov <hiddenman@altlinux.ru> 1.2.2-alt1.svn181
- Initial build for Sisyphus

